<?php

namespace App\Modules\PaxInformationPassenger\Application;

use App\Modules\PaxInformationPassenger\Domain\PaxInformationPassengerRepository;
use App\Modules\PaxInformationPassenger\Domain\IdPaxInformationPassenger;

class PaxInformationPassengerDeleter
{

    private PaxInformationPassengerRepository $repository;

    public function __construct(PaxInformationPassengerRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(IdPaxInformationPassenger $id)
    {
        return $this->repository->delete($id);
    }
}
